> For the complete documentation index, see [llms.txt](https://docs.shippify.co/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shippify.co/developers/pt/shippify-api/entregas/anexar-documentos-a-entrega.md).

# Anexar documentos à entrega

Este endpoint permite anexar arquivos, como PDFs ou imagens, diretamente a entregas específicas, utilizando formulários multipart. Você pode carregar documentos fiscais ou comprovantes de entrega.

## Anexar documentos

> Anexar documentos a uma entrega.

```json
{"openapi":"3.0.0","info":{"title":"API Shippify","version":"1.0.0"},"servers":[{"url":"https://api.shippify.co","description":"Servidor de desenvolvimento"}],"security":[{"Basic_Auth":[]}],"components":{"securitySchemes":{"Basic_Auth":{"type":"http","scheme":"basic"}},"schemas":{"uploadFile":{"successfulResponse":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}}},"request":{"type":"object","required":["files","type","deliveryId"],"properties":{"files":{"description":"Documento a ser anexado à entrega.","type":"file"},"type":{"description":"Tipo de documento a anexar.","type":"string","enum":["fiscal_document","proof_of_delivery"]},"deliveryId":{"description":"Identifier of the delivery to which the file is to be attached.","type":"string"},"referenceId":{"description":"Reference identifier of the delivery to which the file is to be attached.","type":"string"},"extraDataName":{"description":"Name of the extra data of the delivery to which the file is to be attached.","type":"string"},"extraDataValue":{"description":"Value of the extra data of the delivery to which the file is to be attached.","type":"string"}}}},"Unauthenticated":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v2/integrations/deliveries/files":{"post":{"tags":["Entregas"],"summary":"Anexar documentos","description":"Anexar documentos a uma entrega.","responses":{"200":{"description":"Operação bem-sucedida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/uploadFile/successfulResponse"}}}},"401":{"description":"Não autorizado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthenticated"}}}}},"requestBody":{"description":"","content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/uploadFile/request"}}}}}}}}
```

## Casos de uso  <a href="#endpoint" id="endpoint"></a>

<details>

<summary>Anexar documentos à uma entrega por id</summary>

Usar deliveryId nos parâmetros.

</details>

<details>

<summary>Anexar documentos à uma entrega por id de referência</summary>

Usar referenceId nos parâmetros.

</details>

<details>

<summary>Anexar documentos à uma entrega por dados extra</summary>

Usar extraDataName e extraDataValue nos parâmetros.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shippify.co/developers/pt/shippify-api/entregas/anexar-documentos-a-entrega.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
